Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.dispatcher
Class Dispatch

    java.lang.Object
      org.irisa.genouest.logol.dispatcher.Dispatch

    public class Dispatch

extends java.lang.Object

This class takes a bank as input, generate 1 file per sequence in bank then execute main Logol program for each sequence. Job is submitted to a JobManager.

Author:
  osallou History: 26/03/09 Fix 1271 Add error email 20/04/09 Fix 1320 Max solution not correct if -max not used 22/04/08 Fix 1327 Check directories existence and add -out option 20/05/09 Fix 1365 Add filtering to keep singletons only 12/06/09 Fix 1337 support relative path 18/02/10 Fix 1576 Change email subject 21/07/10 Fix 1660 OutofMemory issue with Biojava Known issues in DMR mode: configuration file and model do not support relative path, only sequence path does support it. This issue is due to the fact that when job is transfered on a node, the path is not the same and is system dependent. The software does not change this directory (TODO)

Constructor Summary
`Dispatch()`

Method Summary
`static void` | `main(java.lang.String[] args)` Entry point

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dispatch

    public Dispatch()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Entry point

  Parameters:
    `args` - Arguments with bank, config file...
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD